members.dev
Docs
Guest policies

List Guest Policies

Lists active Guest Policies

GET
/v1/guest-policies

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

member_id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.members.dev/portal/v1/guest-policies?member_id=string"
[
  {
    "id": "string",
    "name": "string",
    "description": "string",
    "status": "active",
    "benefit_id": "string",
    "meter_units": 0,
    "fieldset_ids": [
      "string"
    ],
    "pass_length_days": 0,
    "created_at": null,
    "updated_at": null,
    "can_invite": false
  }
]
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}